Subject: Re: bug#65882: 29.1; rcirc doesn't rejoin channels automatically on reconnecting

From: Manphiz <[email-masked]>
Date: Fri, 15 Sep 2023 01:15:21 -0700

Philip Kaludercic <[email-masked]> writes:

> The change makes sense, but I'll want to try it out to make sure we are
> doing the right thing.  Unless I write something here, ping me in a few
> days.

Thanks Philip!  Will do.

> These kinds of auto-reconnect bugs can be annoying to debug in
> real-life situations.
>

Indeed.  Learned it the hard way when debugging this issue.

> Manphiz <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>> severity 65882 + minor
>>> thanks
>>>
>>> Manphiz <[email-masked]> writes:
>>>
>>>> I noticed that you lowered the severity of this bug from "normal" to
>>>> "wishlist".  AIUI rcirc provides a way to automatically join channels
>>>> upon connecting to a server and currently this is not working as
>>>> intended, so IMHO it should be considered a bug instead of a feature
>>>> request (a wishlist).
>>>
>>> Thanks, so I bumped it to minor.  I hope that makes more sense.
>>>
>>
>> Thanks!
>>
>>>> (If you are using severity as a means to manage bug triage priority
>>>> I'm OK with that.)
>>>
>>> My impression is that almost no one pays attention to bug severities, so
>>> I wouldn't make too much of it.  Bug reports that come with a patch,
>>> like yours did, tend to get more visibility though.
>>>
>>
>> Ah got it.  It's my first time filing bug here so not very familiar with
>> the convention.  Looks like tagging patch was a good move :)
>
> So this patch would be applied without a copyright assignment, right?
>

Yes if it would mean that it can be included faster once approved, or
whatever even faster means if you see fit :)

>>>> Personally, as the patch is sufficiently trivial, I would hope it won't
>>>> take too much work for a review.  But I would understand if dealing with
>>>> rcirc-user-authenticated is more involved than it looks like and should
>>>> be handled with care.
>>>
>>> I've copied in the rcirc maintainers.  Let's see if they have any
>>> comments first.
>>
>> Great!  Thanks again!

-- 
Manphiz